export default function (Mock) {
  // 用户列表
  Mock.mock(/\/api\/users/, 'get', {
    'code': 200,
    'message': 'success',
    'data|10': [{
      'id|+1': 1,
      'name': '@cname',
      'age|18-60': 1,
      'gender|1': ['男', '女'],
      'email': '@email',
      'phone': /^1[3-9]\d{9}$/,
      'address': '@county(true)',
      'createTime': '@datetime'
    }]
  })

  // 用户详情
  Mock.mock(/\/api\/users\/\d+/, 'get', {
    'code': 200,
    'message': 'success',
    'data': {
      'id|+1': 1,
      'name': '@cname',
      'age|18-60': 1,
      'gender|1': ['男', '女'],
      'email': '@email',
      'phone': /^1[3-9]\d{9}$/,
      'address': '@county(true)',
      'createTime': '@datetime'
    }
  })

  // 创建用户
  Mock.mock(/\/api\/users/, 'post', {
    'code': 200,
    'message': 'success',
    'data': {
      'id': '@id',
      'createTime': '@datetime'
    }
  })

  // 更新用户
  Mock.mock(/\/api\/users\/\d+/, 'put', {
    'code': 200,
    'message': 'success'
  })

  // 删除用户
  Mock.mock(/\/api\/users\/\d+/, 'delete', {
    'code': 200,
    'message': 'success'
  })
} 